Create a workspace connector
POST
/v1/workspaces/{workspaceId}/connections
const url = 'https://shareout.site/v1/workspaces/example/connections';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"rest_api","credentialScope":"shared","authType":"example","config":{},"credentials":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/workspaces/example/connections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "rest_api", "credentialScope": "shared", "authType": "example", "config": {}, "credentials": {} }'Admin+. credentialScope: shared (default) or per_user.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
type
required
string
Example
rest_api credentialScope
string
authType
string
config
object
credentials
object
Responses
Section titled “ Responses ”Created
Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}